%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version:        10.5.0
Release:        1%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.5.0
Patch0001: 0001-Fix-until_complete-parameter-in-nova-crons.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Thu Apr 12 2018 Steve Linabery <slinaber@redhat.com> 10.5.0-1
- Update to 10.5.0
- Fix until_complete parameter in nova crons

* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.4.1-5
- Add parameter to set notification format
- Pass arguments as array for nova-manage provider

* Fri Nov 10 2017 shrjoshi <shrjoshi@redhat.com> 10.4.1-4
- [ocata] Add Puppet package to bindep, for module build
- Warn when configuring dedicated database connection for placement API
- Sanitize nova_manage output in provider
- Expose my_ip
- Add pci/alias to compute manifest

* Tue Sep 19 2017 Steve Linabery <slinaber@redhat.com> 10.4.1-3
- Added nova patching configuration parameters
- Use API level filtering for nova_security_group provider
- Fix handling of nova pci MultiStrOpt params

* Tue Aug 15 2017 Steve Linabery <slinaber@redhat.com> 10.4.1-2
- Switch nova_security_rule to openstack provider
- Switch nova_security_group to openstack provider
- Allow creating security group rules for ICMP
- Fix pci config params name as mentioned in nova conf
- Fix invalid PCI alias definition

* Wed Jun 28 2017 Mike Burns <mburns@redhat.com> 10.4.1-1
- Update to 10.4.1

* Tue May 23 2017 Alex Schultz <aschultz@redhat.com> 10.4.0-6
- Properly handle arrays for enabled_perf_events (rhbz#1447859)

* Thu Apr 27 2017 Mike Burns <mburns@redhat.com> 10.4.0-5
- Add option to bind libvirtd to a specific IP address (rhbz#1428593)
- Add support for live-migration over SSH (rhbz#1428593)

* Mon Apr 24 2017 Mike Burns <mburns@redhat.com> 10.4.0-4
- Use a resource provider for cell_v2 cells (rhbz#1443214)

* Fri Mar 24 2017 Jon Schlueter <jschluet@redhat.com> 10.4.0-3
- Adds snapshot_image_format configuration

* Mon Mar 20 2017 Steve Linabery <slinaber@redhat.com> 10.4.0-2
- virsh secret uuid are case insensitive

* Fri Mar 17 2017 Jon Schlueter <jschluet@redhat.com> 10.4.0-1
- Update to 10.4.0

* Wed Mar 08 2017 Steve Linabery <slinaber@redhat.com> 10.3.0-2
- Release Ocata 10.4.0
- Merge "Make placement's os_interface configurable" into stable/ocata
- Fix idempotency with empty available filters
- Make placement's os_interface configurable
- Merge "acceptance: enable placement on ubuntu" into stable/ocata
- acceptance/ubuntu: enable ::nova::cell_v2::simple_setup
- acceptance: enable placement on ubuntu
- Nova placement doesn't require nova::api

* Wed Feb 08 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0
